<?php

	$strRel =  Get_public_html_path___();
	$link = $strRel . 'nucleus/plugins/07backroom/360vr/getVRLinks.php';
	if(file_exists($link)){
		include($link);
	}else{
		//backroomフォルダがない場合へ対応
		//goggleモードの縦表示でなしになる場合
		if($_GET['goggles']=="yes"){
			header("Content-Type: text/html; charset=EUC-JP");
			$html.= '<div id="vr_image_now_div" style="display:none; text-align:center; position:relative;">';
			$html.= '<img src="vr360.jpg" style="width:100%;">';
			$html.= '<span style=" position:absolute; top:0px; right:0px; font-size:30px; color:#ffffff; background-color:#333333; text-align:right;">現在表示中</span>';
			$html.= '<div style=" font-size:60px; color:#ffffff; background-color:#333333; text-align:center;">デバイスを横向きにしてください</div>';
			$html.= '</div>';
			echo $html;
		}
		
	}
	//$strPublicURL =  Get_public_html_url___();
	//$url = $strPublicURL.'nucleus/plugins/07libs/360vr/getVRLinks.php';
	//@header("Location:".$url);

	function Get_public_html_url___(){
		$dir_ar = explode("/",$_SERVER["HTTP_HOST"].$_SERVER["REQUEST_URI"]);
		$path = "";
		$exist_nucleus = false;
		for($i=0; $i<count($dir_ar); $i++){
			if($dir_ar[$i]){
				if($dir_ar[$i]=="nucleus"){
					$exist_nucleus = true;
					$path.= "/";
					break;
				}else{
					$path.= "/".$dir_ar[$i];
				}
			}
		}
		//nucleusフォルダがないケースに対応
		if(!$exist_nucleus){
			$path = "";
			for($i=0; $i<count($dir_ar); $i++){
				if($dir_ar[$i]){
					if($dir_ar[$i]=="media"){
						$exist_nucleus = true;
						$path.= "/";
						break;
					}else{
						$path.= "/".$dir_ar[$i];
					}
				}
			}
		}
		return (empty($_SERVER["HTTPS"]) ? "http://" : "https://") .$path;

	}


	function Get_public_html_path___(){
		$dir_ar = explode("/",dirname(__FILE__));
		$path = "";
		$exist_nucleus = false;
		for($i=0; $i<count($dir_ar); $i++){
			if($dir_ar[$i]){
				if($dir_ar[$i]=="nucleus"){
					$exist_nucleus = true;
					$path.= "/";
					break;
				}else{
					$path.= "/".$dir_ar[$i];
				}
			}
		}
		//nucleusフォルダがないケースに対応
		if(!$exist_nucleus){
			$path = "";
			for($i=0; $i<count($dir_ar); $i++){
				if($dir_ar[$i]){
					if($dir_ar[$i]=="media"){
						$exist_nucleus = true;
						$path.= "/";
						break;
					}else{
						$path.= "/".$dir_ar[$i];
					}
				}
			}
		}
		return $path;
	}


?>
